/*  This file is part of the KDE project
    Copyright (C) 2006 basysKom GmbH <info@basyskom.de>
    Copyright (C) 2006 ROAD GmbH <info@road-gmbh.de>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

*/

#ifndef __pagedialog_h__
#define __pagedialog_h__

#include <qdialog.h>

class PageDialog : public QDialog
{
    Q_OBJECT
public:
    PageDialog(QWidget *parent, const char * name=0, bool modal=false);

protected slots:
    void slotFixLayout();
protected:
    QScrollView *scrollView;
    QWidget *w;
};


#endif

